Text Link
Create Disbursement
Text Link
Disbursement Callback
Text Link
Get Disbursement Status
Text Link
Disbursement Bank Codes
Text Link
Disbursement Mock Data in Demo Environment
Text Link
Get Balance

Create Disbursement

Create a new disbursement transaction to transfer funds to a recipient's bank account.

HTTPS Request

[Production] POST https://partner.rem.id/api/remit

[Staging] POST https://api-demo.rem.id/api/remit

Request Parameters

Parameter Type Required Description
recipient_bank String(255) TRUE
Please refer to the Disbursement Bank Codes to find the bank code for the recipient's bank account.
recipient_account String(255) TRUE
Recipient bank account number, numeric only.
amount BigInteger TRUE
Amount of disbursement, the minimum amount for disbursement is Rp10.000.
note String(255) FALSE
The transaction's message may or may not be reflected in the recipient's bank account statement, based on the bank's capabilities. Using alphanumeric characters and some common symbols (e.g. -, *, . )
partner_trx_id String(255) TRUE
Unique disbursement ID for a specific request, generated by partner.
email String(255) FALSE
Multiple emails allowed, max. 5, separated by space. E.g. john.doe@example.com budi@example.com stark@example.com
sender_info Object FALSE
Object related to sender information. This object contain :
Parameter Type Required Description
sender_account_name String(255) TRUE
Name of the sender's bank account owner
sender_account_number String(255) TRUE
Sender's bank account number
sender_bank_code String(255) TRUE
Bank code of the sender's bank

By default, if your request does not include the sender_info object, the system will automatically use your registered bank account from Settings > Bank Accounts.
additional_data Object FALSE
Object that includes the additional parameter for partner’s needs. This object contain:
 
Parameter Type Required Description
partner_merchant_id String(64) TRUE
Unique ID for each of partner’s merchant

Response Parameters

Parameter Type Description
status Object

Status of Disbursement in Object. Detail of the parameters:

Parameter Data Type Description
code BigInteger
3 digits of status code for the transaction (reference in the transaction status & request status table)
message String(255)
Transaction status or request status message.
amount BigInteger
Amount to disburse.
recipient_bank String(255)
Bank or Ewallet code of the recipient’s account, please refer to Disbursement Bank Codes
recipient_account String(255)
Recipient bank account number.
trx_id String(36)
Unique disbursement ID from our system, partners can use this ID for reconciliation.
partner_trx_id String(255)
Unique disbursement ID which partner put on the request.
timestamp String(19)
Creation time of disbursement transaction in our system, using the format "dd-mm-yyyy hh:mm:ss" in UTC time.

Response Code: API Create Disbursement

Below is the list of response codes that show the request status for API Create Disbursement:

Response Code State State Details Description
101 Non-Final Transaction In Progress
Transaction is processed.
201 Final Transaction Not Created
Request is Rejected (User ID is not Found)
202 Final Transaction Not Created
Request is Rejected (User ID is not Active)
203 Final Transaction Not Created
Request is Rejected (Duplicate Partner Tx ID)
205 Final Transaction Not Created
Request is Rejected (Beneficiary Bank Code is Not Supported)
207 Final Transaction Not Created
Request is Rejected (Request IP Address is not Registered)
208 Final Transaction Not Created
Request is Rejected (API Key is not Valid)
209 Final Transaction Not Created
Request is Rejected (Bank Account is not found)
210 Final Transaction Not Created
Request is Rejected (Amount is not valid)
211 Final Transaction Not Created
Request is Rejected (Bank Account is not Allowed)
257 Final Transaction Not Created
Request is Rejected (Disbursement with the same Partner Tx ID is still in process)
264 Final Transaction Not Created
Request is rejected (The suggested routing from the partner is not valid)
300 Final Transaction Failed
Transaction is failed.
301 Non-Final Transaction Pending
Pending (when there is an unclear answer from bank network)
429 Final Transaction Not Created
Request Rejected (Too Many Request to specific endpoint)
504 Non-Final Transaction Unknown
Disbursement Submission Timed Out. Note: the transaction status is uncertain, it may or may not have been successfully submitted, so we suggest resubmitting using the same partner_trx_id. Please check your dashboard or contact our business representative.
990 Final Transaction Not Created
Request is Rejected (Invalid Format)
999 Non-Final Transaction Unknown
Internal Server Error. Please check your dashboard or contact our business representative

Column State Details: Response Code API Create Disbursement

Below is the list of Explanation for column state details that show on response code API Create Disbursement:

State Details Description
Transaction Failed
Transaction is failed to disburse.
Transaction In Progress
Transaction is still in progress.
Transaction Pending
Transaction has an unclear status from the banks.
Transaction Unknown
Transaction status is uncertain, please wait the callback or hit check status API to make sure the status of transaction. Please check to your dashboard or contact our business representative.
Transaction Not Created
Transaction was not created in our system due to an invalid disbursement request.
{
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "amount": 10000,
  "partner_trx_id": "TRX-20250318-004",
  "note": "Test Disbursement API",
  "email": "recipient@example.com",
  "sender_info": {
    "sender_account_name": "PT. ABC Indonesia",
    "sender_account_number": "9876543210",
    "sender_bank_code": "009"
  },
  "additional_data": {
    "partner_merchant_id": "username-20250318"
  }
}
curl --location 'https://{host}/api/remit' \
--header 'x-username: yourusername' \
--header 'x-api-key: your-api-key' \
--header 'Content-Type: application/json' \
--data '{
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "amount": 10000,
  "partner_trx_id": "TRX-20250318-004",
  "note": "Test Disbursement API",
  "email": "recipient@example.com",
  "sender_info": {
    "sender_account_name": "PT. ABC Indonesia",
    "sender_account_number": "9876543210",
    "sender_bank_code": "009"
  },
  "additional_data": {
    "partner_merchant_id": "username-20250318"
  }
}'
Request Samples
101
{
  "status": {
    "code": "101",
    "message": "Request is Processed"
  },
  "amount": 10000,
  "timestamp": "18-03-2025 10:20:37",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "a2ad3e15-03e2-11f0-b633-ed8f892f5097",
  "partner_trx_id": "TRX-20250318-004"
}
203
{
  "status": {
    "code": "203",
    "message": "Duplicate Partner Tx Id"
  },
  "amount": 10000,
  "timestamp": "10-03-2025 10:55:33",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID"
}
205
{
  "status": {
    "code": "205",
    "message": "Bank Code is not found"
  },
  "amount": 10000,
  "timestamp": "10-03-2025 09:54:00",
  "recipient_bank": "INVALID",
  "recipient_account": "12341234",
  "trx_id": "",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID"
}
209
{
  "status": {
    "code": "209",
    "message": "Bank Account is not found"
  },
  "amount": 10000,
  "timestamp": "10-03-2025 10:33:09",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID"
}
257
{
  "status": {
    "code": "257",
    "message": "An API request with the same Partner Trx Id is already in progress."
  },
  "amount": 10000,
  "timestamp": "24-06-2024 04:07:09",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID"
}
500
{
  "status": {
    "code": "500",
    "message": "Internal server error"
  }
}
Response Samples

Disbursement Callback

Once a disbursement request is finished, our system will make a callback status of that disbursement request to your system.

You can set your own callback URL in the Business dashboard:

  1. Open “Settings” tab
  2. Choose “Developer Option”
  3. Choose “Callback Configuration.”
  4. Fill your callback URL in the API Disbursement field

Callback Parameters

Parameter Data Type Description
status Object
Status of Disbursement in Object. Detail of the parameters:
Parameter Data Type Description
code BigInteger
3 digits of status code for the transaction (reference in the transaction status & request status table)
message String(255)
Transaction status or request status message.
tx_status_description String(255)
Additional information regarding status code, especially for Failed transactions, Force Credit transactions, and Queued transactions.

For example: “Account is blocked. Please create a new transaction with a different recipient account number.”

Note: This parameter will not appear in the response body for transactions with a Success status.
amount BigDecimal
Amount to disburse.

Note: The amount field uses BigDecimal to maintain financial precision.
Decimal values (e.g. 10000.0000) may appear in Get Disbursement Status and Callback responses due to standardized internal processing.
recipient_name String(255)
Account holder name of recipient bank account.
recipient_bank String(255)
Bank or Ewallet code of the recipient’s account, please refer to Disbursement Bank Codes
recipient_account String(255)
Recipient bank account number.
trx_id String(36)
Unique disbursement ID from our system, partners can use this ID for reconciliation.
partner_trx_id String(255)
Unique disbursement ID which partner put on the request.
timestamp String(19)
Time of API get disbursement status called by partner ("dd-MM-yyyy HH:mm:ss in UTC time zone").
created_date String(19)
Execution time of disbursement in our system ("dd-MM-yyyy HH:mm:ss in UTC time zone").
last_updated_date String(19)
Latest status change of a disbursement. Example from 'Pending' to 'Success' ("dd-MM-yyyy HH:mm:ss in UTC Time zone")
receipt_url String(255)
URL to download the transaction receipt. Contact our business representative to activate this parameter.

Transaction Status: Disbursement Callback

Below is the list of response codes that show the transaction status for Disbursement Callback:

Response Code State Description
000 Final Transaction has been completed (success)
300 Final Transaction is failed
301 Non Final Pending (When there is an unclear answer from Banks Network)

Request Samples
000
{
  "status": {
    "code": "000",
    "message": "Success"
  },
  "amount": 11000,
  "timestamp": "30-04-2025 03:19:42",
  "tx_status_description": null,
  "recipient_name": "John Doe",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "f452b69c-16ad-11f0-9335-d3a2d00e212a",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID",
  "created_date": "11-04-2025 08:21:23",
  "last_updated_date": "11-04-2025 08:21:29",
  "receipt_url": "https://api.rem.id/api/receipt?partner_trx_id=YOUR-PARTNER-TRX-ID&trx_id=f452b69c-16ad-11f0-9335-d3a2d00e212a"
}

300
{
  "status": {
    "code": "300",
    "message": "Failed"
  },
  "amount": 10000,
  "timestamp": "24-06-2024 05:10:18",
  "tx_status_description": null,
  "recipient_name": "Brooks Schmitt",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "cc4e926a-9953-4c6e-b581-b6b347591430",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID",
  "created_date": "24-06-2024 05:10:12",
  "last_updated_date": "24-06-2024 05:10:14",
  “receipt_url”: “https://api.rem.id/api/receipt?partner_trx_id=YOUR-PARTNER-TRX-ID&trx_id=f452b69c-16ad-11f0-9335-d3a2d00e212a”
}
301
{
  "status": {
    "code": "301",
    "message": "Pending"
  },
  "amount": 10000,
  "timestamp": "24-06-2024 05:11:04",
  "tx_status_description": null,
  "recipient_name": "Pei Mills I",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "3e92defd-8f5b-4f33-86cf-e7bb02c3dcf7",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID",
  "created_date": "24-06-2024 05:10:58",
  "last_updated_date": "24-06-2024 05:11:01"
}
Response Samples

Get Disbursement Status

To get status of a disbursement request, you can call this API. You may need to call this API few times until getting a final status (success/failed). We suggest to check the status after the remit API timed out or 60 seconds after the disbursement requested.

This API offers an option to send you a callback status of the disbursement request to a specific URL. You can set your own callback URL in Business dashboard:

  1. Open “Settings” tab
  2. Choose “Developer Option”
  3. Choose “Callback Configuration.”
  4. Fill your callback URL in the API Disbursement field

HTTPS Request

[Production] POST https://partner.rem.id/api/remit-status

[Staging] POST https://api-demo.rem.id/api/remit-status

Request Parameters

Parameter Type Required Description
partner_trx_id String(255) TRUE
Unique Disbursement ID for a specific request, generated by partner
send_callback Boolean FALSE
A flag to indiciate if the status of the disbursement request need to be re-sent as a callback or not

 

Response Parameters

Parameter Data Type Description
status Object
Status of Disbursement in Object. Detail of the parameters:
Parameter Data Type Description
code BigInteger
3 digits of status code for the transaction (reference in the transaction status & request status table)
message String(255)
Transaction status or request status message.
tx_status_description String(255)
Additional information regarding status code, especially for Failed transactions.

For example: “Account is blocked. Please create a new transaction with a different recipient account number.”

Note: This parameter will not appear in the response body for transactions with a Success status.
amount BigDecimal
Amount to disburse.

Note: The amount field uses BigDecimal to maintain financial precision.
Decimal values (e.g. 10000.0000) may appear in Get Disbursement Status and Callback responses due to standardized internal processing.
recipient_name String(255)
Account holder name of recipient bank account.
recipient_bank String(255)
Bank or Ewallet code of the recipient’s account, please refer to Disbursement Bank Codes
recipient_account String(255)
Recipient bank account number.
trx_id String(36)
Unique disbursement ID from our system, partners can use this ID for reconciliation.
partner_trx_id String(255)
Unique disbursement ID which partner put on the request.
timestamp String(19)
Time of API get disbursement status called by partner ("dd-MM-yyyy HH:mm:ss in UTC time zone").
created_date String(19)
Execution time of disbursement in our system ("dd-MM-yyyy HH:mm:ss in UTC time zone").
last_updated_date String(19)
Latest status change of a disbursement. Example from 'Pending' to 'Success' ("dd-MM-yyyy HH:mm:ss in UTC Time zone")
receipt_url String(255)
URL to download the transaction receipt. Contact our business representative to activate this parameter.

Response Code: API Get Disbursement Status

Below is the list of response codes that show the request status for API Get Disbursement Status:

Response Code State State Details Description
000 Final Transaction Success
Transaction has been completed.
101 Non-Final Transaction In Progress
Transaction is processed.
102 Non-Final Transaction In Progress
Transaction is in progress.
201 Non-Final Transaction Unknown
Request for Get Disbursement Status is rejected (user ID is not found)
202 Non-Final Transaction Unknown
Request for Get Disbursement Status is rejected (user ID is not active)
204 Final Transaction Not Created
Transaction do not exist (Partner Tx ID is Not Found)
206 Final Transaction Failed
Transaction is failed (partner deposit balance is not enough)
207 Non-Final Transaction Unknown
Request for Get Disbursement Status is rejected (request IP Address is not registered)
208 Non-Final Transaction Unknown
Request for Get Disbursement Status is rejected (API key is not valid)
225 Final Transaction Failed
Transaction is failed (Transaction amount exceeds the maximum limit)
300 Final Transaction Failed
Transaction is failed.
301 Non-Final Transaction Pending
Pending (when there is an unclear answer from bank network)
429 Non-Final Transaction Unknown
Request for Get Disbursement Status is rejected (too many requests to specific endpoint)
990 Final Transaction Unknown
Request for Get Disbursement Status is rejected (invalid format)
999 Non-Final Transaction Unknown
Internal Server Error

 

Column State Details: Response Code API Get Disbursement Status

Below is the list of Explanation for column state details that show on response code API Get Disbursement Status:

State Details Description
Transaction Success
Transaction has been completed & successfully received on the recipient account
Transaction Failed
Transaction is failed to disburse.
Transaction In Progress
Transaction is still in progress.
Transaction Pending
Transaction has an unclear status from the banks.
Transaction Unknown
Transaction status is uncertain, please wait the callback or hit check status API to make sure the status of transaction. Please check to your dashboard or contact our business representative.
Transaction Not Created
Transaction is not created in the our system due to not valid disbursement request.

{
  "partner_trx_id": "TRX-20250411-003",
  "send_callback": true
}
curl --location 'https://{host}/api/remit' \
--header 'x-username: yourusername' \
--header 'x-api-key: your-api-key' \
--header 'Content-Type: application/json' \
--data '{
  "partner_trx_id": "TRX-20250411-003",
  "send_callback": true
}'

Request Samples
000
{
  "status": {
    "code": "000",
    "message": "Success"
  },
  "amount": 11000,
  "timestamp": "30-04-2025 03:19:42",
  "tx_status_description": null,
  "recipient_name": "John Doe",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "f452b69c-16ad-11f0-9335-d3a2d00e212a",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID",
  "created_date": "11-04-2025 08:21:23",
  "last_updated_date": "11-04-2025 08:21:29",
  "receipt_url": "https://api.rem.id/api/receipt?partner_trx_id=YOUR-PARTNER-TRX-ID&trx_id=f452b69c-16ad-11f0-9335-d3a2d00e212a"
}
102
{
  "status": {
    "code": "102",
    "message": "Request is In progress"
  },
  "amount": 10000,
  "timestamp": "25-06-2024 08:16:02",
  "tx_status_description": null,
  "recipient_name": "Kimberly Koss",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "994c0705-dd46-4754-b940-7be22ae51517",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID",
  "created_date": "25-06-2024 08:15:50",
  "last_updated_date": "25-06-2024 08:15:52"
}
204
{
  "status": {
    "code": "204",
    "message": "Tx Id is not found"
  },
  "amount": null,
  "timestamp": "03-08-2025 11:58:41",
  "tx_status_description": null,
  "recipient_name": "",
  "recipient_bank": null,
  "recipient_account": null,
  "trx_id": "",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID",
  "created_date": null,
  "last_updated_date": null
}
300
{
  "status": {
    "code": "300",
    "message": "Failed"
  },
  "amount": 10000,
  "timestamp": "24-06-2024 05:10:18",
  "tx_status_description": null,
  "recipient_name": "Brooks Schmitt",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "cc4e926a-9953-4c6e-b581-b6b347591430",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID",
  "created_date": "24-06-2024 05:10:12",
  "last_updated_date": "24-06-2024 05:10:14"
}
301
{
  "status": {
    "code": "301",
    "message": "Pending"
  },
  "amount": 10000,
  "timestamp": "24-06-2024 05:11:04",
  "tx_status_description": null,
  "recipient_name": "Pei Mills I",
  "recipient_bank": "008",
  "recipient_account": "12341234",
  "trx_id": "3e92defd-8f5b-4f33-86cf-e7bb02c3dcf7",
  "partner_trx_id": "YOUR-PARTNER-TRX-ID",
  "created_date": "24-06-2024 05:10:58",
  "last_updated_date": "24-06-2024 05:11:01"
}
500
{
  "status": {
    "code": "500",
    "message": "Internal server error"
  }
}
Response Samples

Disbursement Bank Codes

Supported Bank Codes to be used in the Disbursement Request:

Bank Code Bank Name
Transaction Limit
002 BRI Rp250,000,000
008 Bank Mandiri Rp250,000,000
009 Bank Negara Indonesia Rp250,000,000
011 Bank Danamon Rp250,000000
013 Bank Permata Rp250,000,000
014 BCA Rp250,000,000
016 BII Maybank Rp250,000,000
019 Bank Panin Rp250,000,000
022 CIMB Niaga Rp250,000,000
023 Bank UOB Indonesia Rp250,000,000
028 Bank OCBC NISP Rp250,000,000
031 Citibank Rp50,000,000
032 JPMorgan Chase Bank Rp250,000,000
036 Bank China Construction Bank Indonesia Rp50,000,000
037 Bank Artha Graha Internasional Rp250,000,000
042 MUFG Bank Rp250,000,000
046 Bank DBS Indonesia Rp250,000,000
050 Standard Chartered Rp250,000,000
054 Bank Capital Indonesia Rp250,000,000
061 ANZ Indonesia Rp250,000,000
067 Deutsche Bank AG Rp50,000,000
069 Bank OF China Rp250,000,000
076 Bank Bumi Arta Rp250,000,000
087 Bank HSBC Indonesia Rp250,000,000
088 Bank Antardaerah Rp50,000,000
089 Bank Rabobank Rp50,000,000
095 Bank Jtrust Indonesia Rp250,000,000
097 Bank Mayapada International Rp250,000,000
110 BJB Rp250,000,000
111 Bank DKI Rp250,000,000
112 Bank DIY Rp250,000,000
112S Bank DIY Syariah Rp250,000,000
113 Bank Jateng Rp250,000,000
114 Bank Jatim Rp250,000,000
114S Bank Jatim Syariah Rp250,000,000
115 Bank Jambi Rp250,000,000
115S Bank Jambi Syariah Rp250,000,000
116 Bank Aceh Rp250,000,000
117 Bank Sumut Rp250,000,000
117S Bank Sumut Syariah Rp250,000,000
118 Bank Nagari Rp250,000,000
118S Bank Nagari Syariah Rp250,000,000
119 Bank Riau Rp250,000,000
120 Bank Sumsel Babel Rp250,000,000
120S Bank Sumsel Babel Syariah Rp250,000,000
121 Bank Lampung Rp250,000,000
122 Bank Kalsel Rp250,000,000
122S Bank Kalsel Syariah Rp250,000,000
123 Bank Kalbar Rp250,000,000
123S Bank Kalbar Syariah Rp250,000,000
124 Bank Kaltim Rp250,000,000
124S Bank Kaltim Syariah Rp250,000,000
125 Bank Kalteng Rp250,000,000
126 Bank Sulselbar Rp250,000,000
126S Bank Sulselbar Syariah Rp250,000,000
127 Bank Sulut Rp250,000,000
128 Bank NTB Rp250,000,000
129 Bank Bali Rp250,000,000
130 Bank NTT Rp250,000,000
131 Bank Maluku Rp250,000,000
132 Bank Papua Rp250,000,000
133 Bank Bengkulu Rp250,000,000
134 Bank Sulteng Rp250,000,000
135 Bank Sultra Rp250,000,000
137 Bank Banten Rp250,000,000
145 Bank Nusantara Parahyangan Rp50,000,000
146 Bank Of India Indonesia Rp50,000,000
147 Bank Muamalat Rp250,000,000
151 Bank Mestika Rp250,000,000
152 Bank Shinhan Rp250,000,000
153 Bank Sinarmas Rp250,000,000
157 Bank Maspion Indonesia Rp250,000,000
161 Bank Ganesha Rp250,000,000
164 Bank ICBC Indonesia Rp250,000,000
167 Bank QNB Indonesia Rp250,000,000
200 BTN Rp250,000,000
200S BTN Syariah Rp250,000,000
212 Bank Woori Saudara Rp250,000,000
213 Bank SMBC Indonesia Rp250,000,000
405 Bank Victoria Syariah Rp250,000,000
425 BJB Syariah Rp250,000,000
426 Bank Mega Rp250,000,000
441 Bank Bukopin Rp250,000,000
451 Bank Syariah Indonesia Rp250,000,000
459 Krom Bank Indonesia Rp250,000,000
472 Bank Jasa Jakarta Rp250,000,000
484 Bank KEB Hana Rp250,000,000
485 Bank MNC Rp250,000,000
490 Bank Neo Commerce Rp250,000,000
494 Bank Raya Indonesia Rp250,000,000
498 Bank SBI Indonesia Rp250,000,000
501 BCA Digital Rp250,000,000
503 Bank National Nobu Rp250,000,000
506 Bank Mega Syariah Rp250,000,000
513 Bank INA Rp250,000,000
517 Bank Panin Syariah Rp250,000,000
520 Bank Prima Rp250,000,000
521 Bank Syariah Bukopin Rp250,000,000
523 Bank Sahabat Sampoerna Rp250,000,000
526 Bank Oke Indonesia Rp250,000,000
535 Bank Seabank Indonesia Rp250,000,000
536 Bank BCA Syariah Rp250,000,000
542 Bank Jago Rp250,000,000
542S Bank Jago Syariah Rp250,000,000
547 Bank BTPN Syariah Rp250,000,000
548 Bank Multiarta Sentosa Rp250,000,000
553 Bank Hibank Indonesia Rp250,000,000
555 Bank Index Rp250,000,000
559 Bank CNB Rp50,000,000
562 Superbank Rp250,000,000
564 Bank Mandiri Taspen Rp250,000,000
566 Bank Victoria International Rp250,000,000
567 Allo Bank Rp250,000,000
600 ATMB LSB Rp250,000,000
688 BPR KS Rp250,000,000
724 Bank DKI Syariah Rp250,000,000
725 Bank Jateng Syariah Rp250,000,000
734 Bank Sinarmas Syariah Rp250,000,000
777 Finnet Rp50,000,000
867 Bank Eka Rp250,000,000
945 Bank IBK Indonesia Rp50,000,000
949 Bank CTBC Indonesia Rp250,000,000
950 Bank Commonwealth Rp50,000,000
987 ATMB Plus Rp250,000,000
dana DANA Rp20,000,000
gopay GoPay Rp20,000,000
linkaja LinkAja Rp10,000,000
ovo OVO Rp20,000,000
shopeepay Shopeepay Rp20,000,000
Request Samples
Response Samples

Disbursement Mock Data in Demo Environment

You can replicate final error response codes based on the Response Code by filling in the recipient_account value using this format: <desired response code>0000. You can input 4 to 15 characters consisting only of the digit 0 at the end of the response code. Any value that doesn't follow this format as default will be processed as a Successful transaction.

For example, if you want to get the "Request is Rejected (Amount is not valid)" error, you can trigger the response code "210" by formatting the recipient_account as "2100000".

Request Body Example (Mock Data in Demo Environment)

{
    "recipient_bank": "014",
    "recipient_account": "2100000",
    "amount": 10000,
    "note": "Test Expose Route",
    "partner_trx_id": "TRX-20231211-007",
    "email": "email@example.com"
}

Response Body Example (Mock Data in Demo Environment)

{
    "status": {
        "code": "210",
        "message": "Request is Rejected (Amount is not valid)"
    },
    "amount": 10000,
    "recipient_bank": "014",
    "recipient_account": "2100000",
    "trx_id": "",
    "partner_trx_id": "TRX-20231211-007",
    "timestamp": "11-12-2023 05:06:16"
}

Test Scenario

To test out all scenarios of API Disbursement and ensure the flows in your integration are handled correctly, please visit this link.

Request Samples
Response Samples

Get Balance

Retrieve current balance information including available, pending, and frozen balances.

HTTPS Request

[Production] GET https://partner.rem.id/api/balance

[Staging] GET https://api-demo.rem.id/api/balance

Header Parameters

Parameter Type Required Description
x-username String TRUE
Username for authentication
x-api-key String TRUE
API key for authentication

Response Parameters

Parameter Type Description
status Object

Status of request in Object. Detail of the parameters:

Parameter Data Type Description
code BigInteger
3 digits of status code for the request
message String(255)
Request status message.
balance BigDecimal
Remaining balance (Accept non fraction number).
overdraftBalance BigDecimal
Remaining overdraft balance (Accept non fraction number).
overbookingBalance BigDecimal
Remaining overbooking balance (Accept non fraction number).
pendingBalance BigDecimal
The cumulative balance of your pending transactions.
availableBalance BigDecimal
The total cumulative money of Balance + Available Overdraft - Pending Balance that you can use for disbursement.
timestamp String(19)
Execution time of Disbursement in Remid system ("dd-MM-yyyy HH:mm:ss in UTC Time zone").

Request Status: API Get Balance

Below is the list of response codes that show the request status for API Get Balance:

Response Code Description Description
000 Request get balance is success
-
207 Request is Rejected (Request IP Address is not Registered)
Request check balance rejected.
208 Request is Rejected (API Key is not Valid)
Request check balance rejected.
999 Internal Server Error
Request check balance rejected.
201 Request is Rejected (User ID is not Found)
Request check balance rejected.
202 Request is Rejected (User ID is not Active)
Request check balance rejected.
429 Request Rejected (Too Many Request to specific endpoint)
Request check balance rejected.
900 Request is Rejected (Invalid Format)
Request check balance rejected.

https://{host}/api/balance

curl --location 'https://{host}/api/balance' \
--header 'x-username: yourusername' \
--header 'x-api-key: your-api-key' \
--header 'Content-Type: application/json'
Request Samples
Response Samples